Am I Stuck or Can I Upgrade 2G?

Discussion in 'iPod touch' started by Bleh, Sep 15, 2010.

  1. Bleh

    Bleh New Member

    Joined:
    Sep 15, 2010
    Messages:
    6
    Likes Received:
    0
    I've been reading all this SSH, Blobs business and I think I have it all figured out. I just want to make sure.

    I bought a couple of 2G iPod touches and received them yesterday. They have 2.2 on them so what I really want to do is upgrade to 3.1.3. I have the firmware and all that but it hasn't worked so far.

    I changed the server thing in my host file and tried again with 3.1.3, then 3.1.2, and then 3.0. The only one that worked was 3.0. So now I have one iPod with 3.0 on it. That's good but I want the Netflix app and you need a higher version for it.

    I am assuming that's all I will be able to do.
    I just want to verify that there is no way that I can get 3.1.3 on it because I don't have any blobs saved, because I never had that version on these touches. Is that correct or is there something I am missing?
  2. jotokun

    jotokun Active Member

    Joined:
    Jul 5, 2010
    Messages:
    813
    Likes Received:
    59
    Device:
    3G iPod touch
    On 2gb MB models, you shouldn't need SHSH blobs unless you're trying to install 4.0 or higher. 3.1.3 should still work.
  3. Bleh

    Bleh New Member

    Joined:
    Sep 15, 2010
    Messages:
    6
    Likes Received:
    0
    Once it gets to the "verifying with Apple" part, it stops and says something to the effect of my device not being eligible.
  4. austinmartin

    austinmartin New Member

    Joined:
    Sep 1, 2010
    Messages:
    56
    Likes Received:
    0
    Device:
    3G iPod touch
    Are they 2G MB, or 2G MC models?
  5. Bleh

    Bleh New Member

    Joined:
    Sep 15, 2010
    Messages:
    6
    Likes Received:
    0
    MB.

    Oh, I see the above post says I shouldn't need blobs if it's MB.

    Any suggestions on why it doesn't work? I've tried it on both devices and once it gets to the verifying with apple part it tells me my device is not eligible.
  6. HeadReaper

    HeadReaper Well-Known Member

    Joined:
    May 24, 2009
    Messages:
    3,348
    Likes Received:
    679
    Device:
    OnePlus One
    Try changing the server host file back to original state. And are you trying to shift update or shift restore? Also, are you in dfu mode when trying to update the iPods.
  7. Bleh

    Bleh New Member

    Joined:
    Sep 15, 2010
    Messages:
    6
    Likes Received:
    0
    I originally tried without modifying the host file and I couldn't get any of them to work. Once I modified I could get the 3.0 to work.

    I am in DFU mode and I hit Option+ Restore. Should I be pressing something else?

Share This Page